<?php

/*
 * Plugin Name: Custom Contacts
 * Description: Добавляет страницу для указания контактной информации
 * Version: 1.0.0
 * Author: RefatIs
 * Author URI:  https://kwork.ru/user/refatis
*/


function contacts_admin_menu() {
    add_menu_page(
        __( 'Контакты'),
        __( 'Контакты'),
        'manage_options',
        'contacts-page',
        'contacts_admin_page_contents',
        'dashicons-phone',
        10
    );
}
add_action( 'admin_menu', 'contacts_admin_menu' );

function contacts_admin_page_contents() {
    ?>
    <h1>Контакты</h1>
    <form method="POST" action="options.php">
    <?php
        settings_fields( 'contacts-page' );
        do_settings_sections( 'contacts-page' );
        submit_button();
    ?>
    </form>
    <?php
}


add_action( 'admin_init', 'contacts_settings_init' );

function contacts_settings_init() {

    add_settings_section(
        'sample_page_setting_section',
        __( ''),
        'my_setting_section_callback_function',
        'contacts-page'
    );
    
    add_settings_field(
       'contact_app_link',
        __( 'Ссылка на приложение', 'my-textdomain' ),
       'app_link_setting_markup',
       'contacts-page',
       'sample_page_setting_section'
    );
    add_settings_field(
       'contact_footer_text',
        __( 'Текст в подвале', 'my-textdomain' ),
       'footer_setting_markup',
       'contacts-page',
       'sample_page_setting_section'
    );
    add_settings_field(
       'contact_footer_text_uz',
        __( 'Текст в подвале (узбекский)', 'my-textdomain' ),
       'footer_uz_setting_markup',
       'contacts-page',
       'sample_page_setting_section'
    );
    add_settings_field(
       'contact_download_text',
        __( 'Текст "скачать"', 'my-textdomain' ),
       'download_setting_markup',
       'contacts-page',
       'sample_page_setting_section'
    );
    add_settings_field(
       'contact_download_text_uz',
        __( 'Текст "скачать" (узбекский)', 'my-textdomain' ),
       'download_uz_setting_markup',
       'contacts-page',
       'sample_page_setting_section'
    );

    register_setting( 'contacts-page', 'contact_app_link' );
    register_setting( 'contacts-page', 'contact_footer_text' );
    register_setting( 'contacts-page', 'contact_footer_text_uz' );
    register_setting( 'contacts-page', 'contact_download_text' );
    register_setting( 'contacts-page', 'contact_download_text_uz' );
}


function my_setting_section_callback_function() {
    echo '<p>Укажите контактную информацию</p>';
}


function app_link_setting_markup() {
    ?>
    <input type="text" id="contact_app_link" name="contact_app_link" value="<?php echo get_option( 'contact_app_link' ); ?>">
    <?php
}
function footer_setting_markup() {
    ?>
    <input type="text" id="contact_footer_text" name="contact_footer_text" value="<?php echo get_option( 'contact_footer_text' ); ?>">
    <?php
}
function footer_uz_setting_markup() {
    ?>
    <input type="text" id="contact_footer_text_uz" name="contact_footer_text_uz" value="<?php echo get_option( 'contact_footer_text_uz' ); ?>">
    <?php
}
function download_setting_markup() {
    ?>
    <input type="text" id="contact_download_text" name="contact_download_text" value="<?php echo get_option( 'contact_download_text' ); ?>">
    <?php
}
function download_uz_setting_markup() {
    ?>
    <input type="text" id="contact_download_text_uz" name="contact_download_text_uz" value="<?php echo get_option( 'contact_download_text_uz' ); ?>">
    <?php
}