<?php
/**
 * The template for displaying 404 pages (not found)
 *
 * @link https://codex.wordpress.org/Creating_an_Error_404_Page
 *
 * @package finpro
 */

$home = "Главная";
if (get_locale() == 'uz_UZ') {
    $home = "Asosiy sahifa";
}

get_header();
?>

	<main class="main">

		<div class="container">

			<div class="breadcrumbs-wrapper">
				<ul class="breadcrumbs">
					<li><a href="<?php echo home_url(); ?>"><?php echo $home; ?></a></li>
					<li><span><?php echo the_title(); ?></span></li>
				</ul>
			</div>

			<section class="error-404 not-found">
				<header class="page-header">
					<h1 class="page-title"><?php esc_html_e( 'Oops! That page can&rsquo;t be found.', 'finpro' ); ?></h1>
				</header><!-- .page-header -->

				<div class="page-content">
					<p><?php esc_html_e( 'It looks like nothing was found at this location. Maybe try one of the links below or a search?', 'finpro' ); ?></p>

						<?php
						get_search_form();

						the_widget( 'WP_Widget_Recent_Posts' );
						?>

						<div class="widget widget_categories">
							<h2 class="widget-title"><?php esc_html_e( 'Most Used Categories', 'finpro' ); ?></h2>
							<ul>
								<?php
								wp_list_categories(
									array(
										'orderby'    => 'count',
										'order'      => 'DESC',
										'show_count' => 1,
										'title_li'   => '',
										'number'     => 10,
									)
								);
								?>
							</ul>
						</div>

				</div><!-- .page-content -->
			</section><!-- .error-404 -->

		</div>

	</main><!-- #main -->

<?php
get_footer();
