<?php
/**
 * The template for displaying archive pages
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package finpro
 */

$home = "Главная";
if (get_locale() == 'uz_UZ') {
    $home = "Asosiy sahifa";
}

get_header();
?>

	<main id="primary" class="site-main">

		<?php get_template_part( 'template-parts/slider' ); ?>

		<div class="container">

			<div class="breadcrumbs-wrapper">
				<ul class="breadcrumbs">
					<li><a href="<?php echo home_url(); ?>"><?php echo $home; ?></a></li>
					<li><span><?php echo the_title(); ?></span></li>
				</ul>
			</div>

			<?php if ( have_posts() ) : ?>

				<header class="page-header">
					<?php
					the_archive_title( '<h1 class="page-title">', '</h1>' );
					the_archive_description( '<div class="archive-description">', '</div>' );
					?>
				</header><!-- .page-header -->

				<?php
				/* Start the Loop */
				while ( have_posts() ) :
					the_post();

					/*
					 * Include the Post-Type-specific template for the content.
					 * If you want to override this in a child theme, then include a file
					 * called content-___.php (where ___ is the Post Type name) and that will be used instead.
					 */
					get_template_part( 'template-parts/content', get_post_type() );

				endwhile;

				the_posts_navigation();

			else :

				get_template_part( 'template-parts/content', 'none' );

			endif;
			?>
			
		</div>

	</main><!-- #main -->

<?php
get_sidebar();
get_footer();
