<?php
/**
 * The template for displaying the footer
 *
 * Contains the closing of the #content div and all content after.
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package finpro
 */

$link = get_option("contact_app_link");
$load = get_option("contact_download_text");
$footer = get_option("contact_footer_text");

if (get_locale() == 'uz_UZ') {
    $load = get_option("contact_download_text_uz");
    $footer = get_option("contact_footer_text_uz");
}

?>

	<footer class="footer">
		<div class="container">
            <!--<div class="footer-top">
                <div class="footer-top__text"><?php echo $load; ?></div>
                <div class="footer-top__link">

                    <?php if ( $link ) : ?>
                            
                        <a href="<?php echo $link; ?>">
                            <img src="<?php echo get_template_directory_uri() . '/images/app-store-white.png' ?>" alt="" title="">
                        </a>

                    <?php endif; ?>

                </div>
            </div>-->
            <div class="footer-bottom">
                <div class="footer__logo">
                    <a href="<?php echo home_url(); ?>" class="logo logo--white">
                        <?php if ( has_custom_logo() ) : ?>
                            <?php the_custom_logo(); ?>
                        <?php else : ?>
                            <img src="<?php echo get_template_directory_uri() . '/images/logo-white.svg' ?>" alt="" title="">
                        <?php endif; ?>
                    </a>
                </div>
                <div class="footer__copyright"><?php echo $footer; ?></div>
            </div>
		</div>
	</footer>
</div>

<?php wp_footer(); ?>

</body>
</html>
