<?php
/**
 * template name: Главная
 */

$page_id = get_queried_object_id();

$blocks      = get_field('blocks', $page_id);
$top  	     = get_field('top', $page_id);

$link = get_option("contact_app_link");

get_header();

?>

	<main class="front-main">

		<section class="top-section" style="background-image: url(<?php echo $top["top_bg"]; ?>);">
						
			<div class="container">

				<div class="top">

					<div class="top__content">

						<h2 class="top__title"><?php echo $top["top_title"]; ?></h2>

						<div class="top__text"><?php echo $top["top_text"]; ?></div>

						<div class="top__link">

							<?php if ( $link ) : ?>
							
								<a href="<?php echo $link; ?>">
									<img src="<?php echo get_template_directory_uri() . '/images/app-store.png' ?>" alt="" title="">
								</a>

							<?php endif; ?>

						</div>

					</div>

				</div>

			</div>

		</section>

		<section class="blocks-section">

			<div class="container">

				<div class="blocks-wrapper">
						
					<?php foreach( $blocks["block"] as $block ) : ?>

						<div class="block-item">

							<div class="block__image">

								<img src="<?php echo $block["block_image"]; ?>" alt="" title="">

							</div>

							<div class="block__content">
								
								<h3 class="block__title"><?php echo $block["block_title"]; ?></h3>

								<div class="block__text"><?php echo $block["block_text"]; ?></div>

							</div>

						</div>

					<?php endforeach; ?>

				</div>

			</div>

		</section>

	</main>

<?php
get_footer();
